# $Revision: 1.21 $, $Date: 2003/11/26 12:33:29 $
Summary:	Manage file systems
Summary(pl):	Manager plikw
Name:		xemacs-dired-pkg
%define 	srcname	dired
Version:	1.15
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
URL:		http://www.xemacs.org/
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	3bd864d76ba88c2a8a42772222a2743f
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg

%description
The DIRectory EDitor is for manipulating, and running commands on
files in a directory.

%description -l pl
Modu do do zarzdzania plikami.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/dired/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-dired-pkg.spec,v $
Revision 1.21  2003/11/26 12:33:29  speedy
updated to  1.15

Revision 1.20  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.19  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.18  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:28:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/07/17 17:14:16  kloczek
- updated to 1.12 and use new %doc.

Revision 1.15  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.14  2002/02/23 05:11:01  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/08/02 08:32:40  mis
- autoupdated to 1.11

Revision 1.10  2001/05/11 18:38:06  mis
- autoupdated to 1.10

Revision 1.9  2001/02/11 19:44:24  kloczek
- fixed pl Summary and added %description.

Revision 1.8  2001/02/11 17:17:14  mis
- updated to 1.09

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:32:23  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
